net.minecraft.village

## Class MerchantRecipeList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - net.minecraft.village.MerchantRecipeList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

      public class MerchantRecipeList
      extends java.util.ArrayList

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MerchantRecipeList()`
    `MerchantRecipeList(NBTTagCompound par1NBTTagCompound)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToListWithCheck(MerchantRecipe par1MerchantRecipe)`
    `MerchantRecipe` | `canRecipeBeUsed(ItemStack par1ItemStack, ItemStack par2ItemStack, int par3)`
    `static MerchantRecipeList` | `func_151390_b(PacketBuffer p_151390_0_)`
    `void` | `func_151391_a(PacketBuffer p_151391_1_)`
    `NBTTagCompound` | `getRecipiesAsTags()`
    `void` | `readRecipiesFromTags(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

- - ### Constructor Detail

    - #### MerchantRecipeList

          public MerchantRecipeList()

    - #### MerchantRecipeList

          public MerchantRecipeList(NBTTagCompound par1NBTTagCompound)

  - ### Method Detail

    - #### canRecipeBeUsed

          public MerchantRecipe canRecipeBeUsed(ItemStack par1ItemStack,
                                       ItemStack par2ItemStack,
                                       int par3)

    - #### addToListWithCheck

          public void addToListWithCheck(MerchantRecipe par1MerchantRecipe)

    - #### func_151391_a

          public void func_151391_a(PacketBuffer p_151391_1_)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readRecipiesFromTags

          public void readRecipiesFromTags(NBTTagCompound par1NBTTagCompound)

    - #### getRecipiesAsTags

          public NBTTagCompound getRecipiesAsTags()

    - #### func_151390_b

          public static MerchantRecipeList func_151390_b(PacketBuffer p_151390_0_)
                                                  throws java.io.IOException

      Throws:
        `java.io.IOException`